Bug 1660962 - rgw does not support delimiter as a string it only supports a single character [consulting]
Summary: rgw does not support delimiter as a string it only supports a single characte...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 3.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: z2
: 3.2
Assignee: Matt Benjamin (redhat)
QA Contact: Tejas
Aron Gunn
URL:
Whiteboard:
: 1666086 (view as bug list)
Depends On:
Blocks: 1629656
TreeView+ depends on / blocked
 
Reported: 2018-12-19 17:56 UTC by Vikhyat Umrao
Modified: 2019-04-30 15:57 UTC (History)
14 users (show)

Fixed In Version: RHEL: ceph-12.2.8-106.el7cp Ubuntu: ceph_12.2.8-91redhat1
Doc Type: Bug Fix
Doc Text:
.The Ceph Object Gateway supports a string as a delimiter Invalid logic was used to find and project a delimiter sequence greater than one character. This was causing the Ceph Object Gateway to fail any request with a string as the delimiter, returning an `invalid utf-8 character` message. The logic handling the delimiter has been replaced by an 8-bit shift-carry equivalent. As a result, a string delimiter will work correctly. Red Hat has only tested this against the `US-ascii` character set.
Clone Of:
Environment:
Last Closed: 2019-04-30 15:56:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0911 None None None 2019-04-30 15:57:00 UTC
Ceph Project Bug Tracker 24821 None None None 2018-12-19 17:57:24 UTC

Description Vikhyat Umrao 2018-12-19 17:56:55 UTC
Description of problem:
rgw does not support delimiter as a string it only supports a single character 
Upstream tracker - http://tracker.ceph.com/issues/24821


Version-Release number of selected component (if applicable):
RHCS 3.1
RHCS 3.2

How reproducible:
Always

Comment 2 Vikhyat Umrao 2019-01-15 00:45:08 UTC
*** Bug 1666086 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2019-04-30 15:56:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0911


Note You need to log in before you can comment on or make changes to this bug.